Subject: [netconf] [Editorial Errata Reported] RFC8639 (6366)

From: RFC Errata System <[email-masked]>
Date: Thu, 24 Dec 2020 06:32:50 -0800 (PST)

The following errata report has been submitted for RFC8639,
"Subscription to YANG Notifications".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6366

--------------------------------------
Type: Editorial
Reported by: Muly Ilan <[email-masked]>

Section: 4.

Original Text
-------------
  feature subtree {
    description
      "This feature indicates support for YANG subtree filtering.";
    reference
      "RFC 6241: Network Configuration Protocol (NETCONF),
                 Section 6";
  }

  feature supports-vrf {
    description
      "This feature indicates that a publisher supports VRF
       configuration for configured subscriptions.  VRF support for
       dynamic subscriptions does not require this feature.";
    reference
      "RFC 8529: YANG Data Model for Network Instances,
                 Section 6";
  }

Corrected Text
--------------
  feature subtree {
    description
      "This feature indicates support for YANG subtree filtering.";
    reference
      "RFC 6241: Network Configuration Protocol (NETCONF),
                 Section 6";
  }

  feature supports-vrf {
    description
      "This feature indicates that a publisher supports VRF
       configuration for configured subscriptions.  VRF support for
       dynamic subscriptions does not require this feature.";
    reference
      "RFC 8529: YANG Data Model for Network Instances,
                 Section 6";
  }

Notes
-----
In the HTML version the two hyperlinks "Section 6" (for 'subtree' feature and for 'supports-vrf' feature) point to wrong RFCs.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8639 (draft-ietf-netconf-subscribed-notifications-26)
--------------------------------------
Title               : Subscription to YANG Notifications
Publication Date    : September 2019
Author(s)           : E. Voit, A. Clemm, A. Gonzalez Prieto, E. Nilsen-Nygaard, A. Tripathy
Category            : PROPOSED STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: "John R. Levine" <[email-masked]>
Date: 24 Dec 2020 14:00:06 -0500

This is a limitation of the script that mechanically generates HTML from 
legacy text RFCs.  There are no hyperlinks in the RFC itself.  Reject, please.

> "Subscription to YANG Notifications".

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly